Subject: bug#4222: calls to char_table_ref slow down 23.1 (vs 22.3)

From: Kenichi Handa <[email-masked]>
Date: Sat, 19 Sep 2009 14:37:28 +0900

In article <[email-masked]>, Dan Nicolaescu <[email-masked]> writes:

> I can't reproduce this problem now.  Following your recipe, I do observe
> the indentation taking a looong time, but char_table_ref is not called.
> Presumably, Handa-san's 2009-08-25 and 2009-08-27 changes fixed this.
> Should I close the bug, or is there still a problem?

> There still is a problem, but it is not caused by char_table_ref, that
> part was fixed by Handa-san.
> It's up to you if you want to keep this bug, just retitle it, or close it.

We still have a problem of slow GC caused by many elements
of char-tables (mostly because of charset encoders).  My
idea for fixing it is to somehow distinguish a char-table
that has only integer or (interned) symbol elements from the
other normal char-tables, and optimize mark_char_table for
it.  But, at the moment, I don't have a time to work on it.

Perhaps we should open a new bug for that.

---
Kenichi Handa
[email-masked]